Lookup Editor - Feature #2092

Create transform for lookup that doesn't have one
10/15/2017 04:33 AM - Luke Murphey

Status: Closed Start date: 10/14/2017
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.0

Description

I could include the link to open in search for all lookups and then open the dialog for create the transform if the lookup doesn't have a
transform.

Related issues:
Duplicates Lookup Editor - Feature #2019: Create transform when making lookup... Closed 08/25/2017

Associated revisions

Revision 380 - 10/23/2017 05:30 AM - lukemurphey

Submitting initial version of transforms creation dialog

Reference #2092

Revision 383 - 10/24/2017 03:19 AM - lukemurphey

Moving the enable/disable buttons after the "open in search" option

Reference #2092

Revision 384 - 10/24/2017 03:20 AM - lukemurphey

Fixing issue where refresh didn't work right

Reference #2092

Revision 385 - 10/24/2017 03:21 AM - lukemurphey

Replacing the custom lookup transform model with the built-in ones

Reference #2092

Revision 386 - 10/24/2017 04:25 AM - lukemurphey

Moving the fields getter into the LookupTransformCreateView

Reference #2092

Revision 387 - 10/24/2017 04:31 AM - lukemurphey

Outputting a message when users do not have sufficient permission to create transforms

Reference #2092
Revision 388 - 10/24/2017 04:51 AM - lukemurphey

Removing ES6 arrow syntax

Reference #2092

Revision 389 - 10/24/2017 04:51 AM - lukemurphey
Removing ES6 syntax

Reference #2092

History

#1 - 10/21/2017 06:23 PM - Luke Murphey

| might have to delete the transform when the lookup is deleted.

#2 - 10/22/2017 05:58 AM - Luke Murphey

Requirements:

1. [Done] Show create transform view is shown if no transform exists
2.[Done] Don't allow save if validation fails
3. [Done] Clear validation if the user fixes the issue
4. [Done] Allow the form to open more than once without error
5.[Done] Once a transform is created, open the lookup in search
6. [Done] If an error is observed, then notify the user
7.[Done] The Ul will refresh once the transform is created
8. Handle elegantly the case:
1. [Done] Where the transform name already exists
2. [Done] Where the transform is invalid (empty)
3. [Done] Where there is no field list defined (cannot make the transform without it)
4. [Done] Where the user lacks permission to make the transform

Optional:

1. Suggest a transform name

#3 - 10/22/2017 06:01 AM - Luke Murphey
- % Done changed from 0 to 40

Open questions:

e Should the transform be updated when the lookup is updated?

#4 - 10/22/2017 06:06 AM - Luke Murphey
Need to fix the input focus issue too.

#5 - 10/23/2017 05:58 AM - Luke Murphey
- % Done changed from 40 to 90

#6 - 10/24/2017 04:39 AM - Luke Murphey
- Status changed from New to Resolved

- % Done changed from 90 to 100

#7 - 10/25/2017 06:15 AM - Luke Murphey

- Status changed from Resolved to Closed

#8 - 11/04/2017 06:07 PM - Luke Murphey

- Duplicates Feature #2019: Create transform when making lookups so that the lookups can be used from search added
